Bug 71143 - [Meta] Master bug for sub-pixel layout branch
Summary: [Meta] Master bug for sub-pixel layout branch
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 77770
Blocks: 60318
  Show dependency treegraph
 
Reported: 2011-10-28 14:44 PDT by Levi Weintraub
Modified: 2012-06-05 10:34 PDT (History)
17 users (show)

See Also:


Attachments
current diff from the branch (896.13 KB, patch)
2011-10-28 14:52 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
current diff from branch (r98861) (903.76 KB, patch)
2011-10-31 13:43 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
patch (698.21 KB, patch)
2011-11-09 17:40 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
current diff from branch (r100802) (630.91 KB, patch)
2011-11-18 16:15 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (r104084) (619.93 KB, patch)
2012-01-04 18:24 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (r104725) (631.91 KB, patch)
2012-01-11 14:13 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (105194) (547.70 KB, patch)
2012-01-20 17:31 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (105803) (553.36 KB, patch)
2012-01-25 11:51 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (105803) (525.49 KB, patch)
2012-01-25 12:12 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (105803) (525.96 KB, patch)
2012-01-30 18:29 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (107124) (422.82 KB, patch)
2012-02-09 15:53 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (108547) (383.32 KB, patch)
2012-02-22 18:20 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (109226) (383.96 KB, patch)
2012-02-29 13:25 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (110884) (254.48 KB, patch)
2012-03-16 11:55 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (111035) (241.08 KB, patch)
2012-03-16 13:40 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (111406) (198.90 KB, patch)
2012-03-20 15:57 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (112277) (158.20 KB, patch)
2012-03-27 16:33 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (112329) (155.95 KB, patch)
2012-03-27 17:28 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (112729) (150.92 KB, patch)
2012-03-30 16:45 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (112900) (147.05 KB, patch)
2012-04-02 12:29 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (113044) (106.64 KB, patch)
2012-04-03 11:24 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (113241) (85.88 KB, patch)
2012-04-04 15:30 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (113337) (83.06 KB, patch)
2012-04-05 13:57 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (113337) (85.28 KB, patch)
2012-04-05 18:40 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (113577) (68.99 KB, patch)
2012-04-09 09:35 PDT, Emil A Eklund
buildbot: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (113730) (60.54 KB, patch)
2012-04-10 12:02 PDT, Emil A Eklund
pnormand: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (113730) (63.35 KB, patch)
2012-04-10 13:49 PDT, Emil A Eklund
gns: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (114126) (56.78 KB, patch)
2012-04-13 10:00 PDT, Emil A Eklund
gns: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-04 (6.91 MB, application/zip)
2012-04-13 11:41 PDT, WebKit Review Bot
no flags Details
Source diff from branch (114265) (54.65 KB, patch)
2012-04-16 11:13 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (114550) (45.31 KB, patch)
2012-04-18 14:01 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (114758) (43.29 KB, patch)
2012-04-20 11:04 PDT, Emil A Eklund
buildbot: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (114777) (40.71 KB, patch)
2012-04-23 10:48 PDT, Emil A Eklund
buildbot: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (114938) (40.64 KB, patch)
2012-04-23 15:18 PDT, Emil A Eklund
pnormand: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (114938 mkII) (42.57 KB, patch)
2012-04-26 10:44 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (115647) (40.50 KB, patch)
2012-04-30 11:45 PDT, Emil A Eklund
webkit-ews: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (115687) (34.08 KB, patch)
2012-04-30 17:07 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (115722) (25.94 KB, patch)
2012-05-01 10:13 PDT, Emil A Eklund
gyuyoung.kim: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (115741) (28.37 KB, patch)
2012-05-01 13:08 PDT, Emil A Eklund
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (115741 mkII) (30.11 KB, patch)
2012-05-01 15:46 PDT, Emil A Eklund
buildbot: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (115741 mkIII) (31.67 KB, patch)
2012-05-01 17:30 PDT, Emil A Eklund
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (115741 mkIV) (32.06 KB, patch)
2012-05-01 20:29 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (115787) (34.98 KB, patch)
2012-05-01 21:32 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (115787 mkII) (33.79 KB, patch)
2012-05-01 21:43 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Source diff from branch (115787 mkIII) (34.61 KB, patch)
2012-05-01 22:00 PDT, Emil A Eklund
webkit-ews: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (115787 mkIV) (35.18 KB, patch)
2012-05-02 09:47 PDT, Emil A Eklund
webkit-ews: commit-queue-
Details | Formatted Diff | Diff
Source diff from branch (115787 mkV) (35.84 KB, patch)
2012-05-02 10:46 PDT, Emil A Eklund
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-03 (6.50 MB, application/zip)
2012-05-02 11:50 PDT, WebKit Review Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Levi Weintraub 2011-10-28 14:44:05 PDT
Please file issues found in the http://svn.webkit.org/repository/webkit/branches/subpixellayout branch as blocking issues for this bug.
Comment 1 Eric Seidel (no email) 2011-10-28 14:52:24 PDT
Created attachment 112915 [details]
current diff from the branch

Generated by running:
svn diff --old http://svn.webkit.org/repository/webkit/trunk@98654
--new http://svn.webkit.org/repository/webkit/branches/subpixellayout
Source/
Comment 2 Eric Seidel (no email) 2011-10-28 14:53:57 PDT
It seems like much of the current branch could be landed on trunk as-is.  All the LayoutSize/LayoutPoint changes.  That would make the branch diff smaller and easier to read.
Comment 3 Emil A Eklund 2011-10-31 13:43:57 PDT
Created attachment 113082 [details]
current diff from branch (r98861)
Comment 4 Emil A Eklund 2011-11-09 17:40:47 PST
Created attachment 114405 [details]
patch

current diff from branch (r99750)
Comment 5 Emil A Eklund 2011-11-18 16:15:43 PST
Created attachment 115902 [details]
current diff from branch (r100802)
Comment 6 Emil A Eklund 2012-01-04 18:24:27 PST
Created attachment 121200 [details]
Source diff from branch (r104084)
Comment 7 Emil A Eklund 2012-01-11 14:13:52 PST
Created attachment 122095 [details]
Source diff from branch (r104725)
Comment 8 Emil A Eklund 2012-01-11 14:16:58 PST
FYI: The current patch (r104725) builds the mac, linux/qt and linux/chromium ports. It does _not_ include updated test expectations. Those will be uploaded separately.
Comment 9 Emil A Eklund 2012-01-20 17:31:34 PST
Created attachment 123419 [details]
Source diff from branch (105194)

Source diff from branch against trunk@105194, excluding new data types which have been split out into a separate change (bug 76571).
Comment 10 Emil A Eklund 2012-01-25 11:51:28 PST
Created attachment 123981 [details]
Source diff from branch (105803)

Source diff from branch against trunk@105803. Again, this patch does not include the new subpixel data types as those are tracked in bug 76571.
Comment 11 Emil A Eklund 2012-01-25 12:12:40 PST
Created attachment 123987 [details]
Source diff from branch (105803)
Comment 12 Emil A Eklund 2012-01-30 18:29:48 PST
Created attachment 124651 [details]
Source diff from branch (105803)
Comment 13 Levi Weintraub 2012-01-30 18:34:44 PST
The test expectations that change, along with links to their new and old expectations, can be found here: http://eae.net/webkit/modified_tests.html
Comment 14 Eric Seidel (no email) 2012-01-31 15:11:24 PST
Comment on attachment 124651 [details]
Source diff from branch (105803) 

View in context: https://bugs.webkit.org/attachment.cgi?id=124651&action=review

> Source/WebKit/win/WebCoreSupport/WebChromeClient.cpp:118
> +    return static_cast<IntRect>(rect);

Seems like many of these rounding changes could/should be done first.  We're not changing types here, you're just making more explicit what's going on, or?
Comment 15 Emil A Eklund 2012-01-31 15:15:16 PST
Comment on attachment 124651 [details]
Source diff from branch (105803) 

View in context: https://bugs.webkit.org/attachment.cgi?id=124651&action=review

>> Source/WebKit/win/WebCoreSupport/WebChromeClient.cpp:118
>> +    return static_cast<IntRect>(rect);
> 
> Seems like many of these rounding changes could/should be done first.  We're not changing types here, you're just making more explicit what's going on, or?

Correct, the reason we cast platform specific types to their webkit equivalent is to avoid ambiguity. There aren't too many places where we do this but if you think it makes sense I'd gladly break those changes out into a separate patch.
Comment 16 Eric Seidel (no email) 2012-01-31 15:28:49 PST
I just skimmed very briefly and was lookign for non-controvertial things to break out -- changes which had little/nothign to do with the larger goal of moving to fixed point layout.
Comment 17 Emil A Eklund 2012-01-31 15:35:21 PST
(In reply to comment #16)
> I just skimmed very briefly and was lookign for non-controvertial things to break out -- changes which had little/nothign to do with the larger goal of moving to fixed point layout.

Makes sense, I'll break those changes out. If you have any other suggestions for things to break out I'm all ears!
Comment 18 Levi Weintraub 2012-02-06 11:03:47 PST
Comment on attachment 124651 [details]
Source diff from branch (105803) 

View in context: https://bugs.webkit.org/attachment.cgi?id=124651&action=review

> Source/WebCore/workers/WorkerContext.cpp:NaN
>  void WorkerContext::webkitRequestFileSys

The diff in this file is the result of a bad merge. It's clearly not part of our patch.
Comment 19 Levi Weintraub 2012-02-06 15:25:42 PST
Comment on attachment 124651 [details]
Source diff from branch (105803) 

View in context: https://bugs.webkit.org/attachment.cgi?id=124651&action=review

> Source/WebCore/rendering/EllipsisBox.cpp:58
> +    context->drawText(font, RenderBlock::constructTextRun(renderer(), font, m_str, style, TextRun::AllowTrailingExpansion), FloatPoint(x() + paintOffset.x(), y() + paintOffset.y() + style->fontMetrics().ascent()));

This change should also be dropped.
Comment 20 Emil A Eklund 2012-02-09 15:53:50 PST
Created attachment 126394 [details]
Source diff from branch (107124)
Comment 21 Emil A Eklund 2012-02-22 18:20:32 PST
Created attachment 128358 [details]
Source diff from branch (108547)
Comment 22 Emil A Eklund 2012-02-29 13:25:34 PST
Created attachment 129503 [details]
Source diff from branch (109226)
Comment 23 Emil A Eklund 2012-03-16 11:55:38 PDT
Created attachment 132336 [details]
Source diff from branch (110884)
Comment 24 Emil A Eklund 2012-03-16 13:40:42 PDT
Created attachment 132363 [details]
Source diff from branch (111035)
Comment 25 Emil A Eklund 2012-03-20 15:57:06 PDT
Created attachment 132916 [details]
Source diff from branch (111406)
Comment 26 Gustavo Noronha (kov) 2012-03-20 16:02:40 PDT
Comment on attachment 132916 [details]
Source diff from branch (111406)

Attachment 132916 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12034067
Comment 27 WebKit Review Bot 2012-03-20 16:03:02 PDT
Attachment 132916 [details] did not pass style-queue:

Source/WebCore/platform/Length.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/Length.h:112:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Source/WebCore/platform/Length.h:116:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:82:  wtf_ceil is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:540:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:542:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:543:  is_specialized is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:552:  is_signed is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:553:  is_integer is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:554:  is_exact is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:558:  round_error is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:561:  min_exponent is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:562:  min_exponent10 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:563:  max_exponent is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:564:  max_exponent10 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:566:  has_infinity is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:567:  has_quiet_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:568:  has_signaling_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:569:  has_denorm is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:570:  has_denorm_loss is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:574:  quiet_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:576:  signaling_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:578:  denorm_min is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:581:  is_iec559 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:582:  is_bounded is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:583:  is_modulo is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:585:  Should have a space between // and comment  [whitespace/comments] [4]
SFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/WebCore.exp.in', u'Source/W..." exit_code: 1
ource/WebCore/platform/FractionalLayoutUnit.h:586:  tinyness_before is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:587:  round_style is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/rendering/RenderView.cpp:302:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Source/WebCore/rendering/RenderTreeAsText.cpp:79:  The parameter name "behavior" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/rendering/RenderView.h:203:  The parameter name "r" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/inspector/InspectorPageAgent.cpp:54:  "FrameView.h" already included at Source/WebCore/inspector/InspectorPageAgent.cpp:53  [build/include] [4]
Source/WebCore/rendering/LayoutTypes.h:40:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 34 in 131 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 28 Early Warning System Bot 2012-03-20 16:30:13 PDT
Comment on attachment 132916 [details]
Source diff from branch (111406)

Attachment 132916 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12072016
Comment 29 Build Bot 2012-03-20 16:32:31 PDT
Comment on attachment 132916 [details]
Source diff from branch (111406)

Attachment 132916 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12070037
Comment 30 WebKit Review Bot 2012-03-20 17:08:25 PDT
Comment on attachment 132916 [details]
Source diff from branch (111406)

Attachment 132916 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12086031
Comment 31 Gyuyoung Kim 2012-03-20 17:22:02 PDT
Comment on attachment 132916 [details]
Source diff from branch (111406)

Attachment 132916 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12071047
Comment 32 Early Warning System Bot 2012-03-20 17:55:37 PDT
Comment on attachment 132916 [details]
Source diff from branch (111406)

Attachment 132916 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12090043
Comment 33 Emil A Eklund 2012-03-27 16:33:24 PDT
Created attachment 134163 [details]
Source diff from branch (112277)
Comment 34 Emil A Eklund 2012-03-27 17:28:18 PDT
Created attachment 134182 [details]
Source diff from branch (112329)
Comment 35 Emil A Eklund 2012-03-30 16:45:06 PDT
Created attachment 134914 [details]
Source diff from branch (112729)
Comment 36 Emil A Eklund 2012-04-02 12:29:16 PDT
Created attachment 135154 [details]
Source diff from branch (112900)
Comment 37 Emil A Eklund 2012-04-03 11:24:22 PDT
Created attachment 135372 [details]
Source diff from branch (113044)
Comment 38 Emil A Eklund 2012-04-04 15:30:48 PDT
Created attachment 135700 [details]
Source diff from branch (113241)
Comment 39 WebKit Review Bot 2012-04-04 15:40:24 PDT
Attachment 135700 [details] did not pass style-queue:

Source/WebCore/rendering/LayoutTypes.h:39:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/rendering/LayoutTypes.h:40:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/rendering/RenderView.h:204:  The parameter name "r" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/platform/FractionalLayoutUnit.h:81:  wtf_ceil is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:543:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:545:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:546:  is_specialized is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:555:  is_signed is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:556:  is_integer is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:557:  is_exact is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:561:  round_error is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:564:  min_exponent is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:565:  min_exponent10 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:566:  max_exponent is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:567:  max_exponent10 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:569:  has_infinity is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:570:  has_quiet_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:571:  has_signaling_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:572:  has_denorm is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:573:  has_denorm_loss is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:577:  quiet_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:579:  signaling_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:581:  denorm_min is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:584:  is_iec559 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:585:  is_bounded is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:586:  is_modulo is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:588:  Should have a space between // and comment  [whitespaFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/WebCore.exp.in', u'Source/W..." exit_code: 1
ce/comments] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:589:  tinyness_before is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:590:  round_style is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/Length.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/Length.h:112:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Source/WebCore/platform/Length.h:116:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Source/WebCore/rendering/RenderTreeAsText.cpp:79:  The parameter name "behavior" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 33 in 53 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 40 Philippe Normand 2012-04-04 15:55:45 PDT
Comment on attachment 135700 [details]
Source diff from branch (113241)

Attachment 135700 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12330102
Comment 41 Build Bot 2012-04-04 16:01:00 PDT
Comment on attachment 135700 [details]
Source diff from branch (113241)

Attachment 135700 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12331086
Comment 42 Build Bot 2012-04-04 16:23:14 PDT
Comment on attachment 135700 [details]
Source diff from branch (113241)

Attachment 135700 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12327210
Comment 43 Early Warning System Bot 2012-04-04 17:08:06 PDT
Comment on attachment 135700 [details]
Source diff from branch (113241)

Attachment 135700 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12336007
Comment 44 Early Warning System Bot 2012-04-04 17:10:20 PDT
Comment on attachment 135700 [details]
Source diff from branch (113241)

Attachment 135700 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12339010
Comment 45 WebKit Review Bot 2012-04-04 17:29:04 PDT
Comment on attachment 135700 [details]
Source diff from branch (113241)

Attachment 135700 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12338014
Comment 46 Gyuyoung Kim 2012-04-04 18:41:54 PDT
Comment on attachment 135700 [details]
Source diff from branch (113241)

Attachment 135700 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12337056
Comment 47 Emil A Eklund 2012-04-05 13:57:35 PDT
Created attachment 135898 [details]
Source diff from branch (113337)
Comment 48 Emil A Eklund 2012-04-05 18:40:09 PDT
Created attachment 135960 [details]
Source diff from branch (113337)
Comment 49 Emil A Eklund 2012-04-09 09:35:33 PDT
Created attachment 136239 [details]
Source diff from branch (113577)
Comment 50 WebKit Review Bot 2012-04-09 10:08:37 PDT
Attachment 136239 [details] did not pass style-queue:

Source/WebCore/rendering/LayoutTypes.h:39:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/rendering/LayoutTypes.h:40:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:81:  wtf_ceil is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:538:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:540:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:541:  is_specialized is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:550:  is_signed is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:551:  is_integer is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:552:  is_exact is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:556:  round_error is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:559:  min_exponent is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:560:  min_exponent10 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:561:  max_exponent is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:562:  max_exponent10 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:564:  has_infinity is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:565:  has_quiet_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:566:  has_signaling_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:567:  has_denorm is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:568:  has_denorm_loss is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:572:  quiet_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:574:  signaling_NaN is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:576:  denorm_min is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:579:  is_iec559 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:580:  is_bounded is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:581:  is_modulo is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:583:  Should have a space between // and comment  [whitespace/comments] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:584:  tinyness_before is incorrectly named. Don't use underscores in your identifieFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/WebCore.exp.in', u'Source/W..." exit_code: 1
r names.  [readability/naming] [4]
Source/WebCore/platform/FractionalLayoutUnit.h:585:  round_style is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/platform/Length.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/Length.h:112:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Source/WebCore/platform/Length.h:116:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Source/WebCore/rendering/RenderTreeAsText.cpp:79:  The parameter name "behavior" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 32 in 46 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 51 Build Bot 2012-04-09 10:33:12 PDT
Comment on attachment 136239 [details]
Source diff from branch (113577)

Attachment 136239 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12370282
Comment 52 Early Warning System Bot 2012-04-09 11:06:55 PDT
Comment on attachment 136239 [details]
Source diff from branch (113577)

Attachment 136239 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12373270
Comment 53 Early Warning System Bot 2012-04-09 11:12:06 PDT
Comment on attachment 136239 [details]
Source diff from branch (113577)

Attachment 136239 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12370298
Comment 54 Gustavo Noronha (kov) 2012-04-09 11:24:11 PDT
Comment on attachment 136239 [details]
Source diff from branch (113577)

Attachment 136239 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12371299
Comment 55 Emil A Eklund 2012-04-10 12:02:11 PDT
Created attachment 136500 [details]
Source diff from branch (113730)
Comment 56 WebKit Review Bot 2012-04-10 12:06:39 PDT
Attachment 136500 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/WebCore.exp.in', u'Source/W..." exit_code: 1
Source/WebCore/rendering/LayoutTypes.h:40:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/rendering/RenderTreeAsText.cpp:79:  The parameter name "behavior" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 2 in 42 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 57 Philippe Normand 2012-04-10 12:10:03 PDT
Comment on attachment 136500 [details]
Source diff from branch (113730)

Attachment 136500 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12381415
Comment 58 Early Warning System Bot 2012-04-10 12:30:12 PDT
Comment on attachment 136500 [details]
Source diff from branch (113730)

Attachment 136500 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12383363
Comment 59 Early Warning System Bot 2012-04-10 12:31:13 PDT
Comment on attachment 136500 [details]
Source diff from branch (113730)

Attachment 136500 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12385212
Comment 60 Build Bot 2012-04-10 12:46:00 PDT
Comment on attachment 136500 [details]
Source diff from branch (113730)

Attachment 136500 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12379590
Comment 61 Gyuyoung Kim 2012-04-10 13:47:36 PDT
Comment on attachment 136500 [details]
Source diff from branch (113730)

Attachment 136500 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12383397
Comment 62 Emil A Eklund 2012-04-10 13:49:22 PDT
Created attachment 136530 [details]
Source diff from branch (113730)
Comment 63 Gustavo Noronha (kov) 2012-04-10 14:00:53 PDT
Comment on attachment 136530 [details]
Source diff from branch (113730) 

Attachment 136530 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12380488
Comment 64 Early Warning System Bot 2012-04-10 14:50:51 PDT
Comment on attachment 136530 [details]
Source diff from branch (113730) 

Attachment 136530 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12384411
Comment 65 Early Warning System Bot 2012-04-10 14:54:16 PDT
Comment on attachment 136530 [details]
Source diff from branch (113730) 

Attachment 136530 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12383433
Comment 66 Emil A Eklund 2012-04-13 10:00:48 PDT
Created attachment 137098 [details]
Source diff from branch (114126)
Comment 67 Gustavo Noronha (kov) 2012-04-13 11:03:15 PDT
Comment on attachment 137098 [details]
Source diff from branch (114126)

Attachment 137098 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12393924
Comment 68 Early Warning System Bot 2012-04-13 11:08:04 PDT
Comment on attachment 137098 [details]
Source diff from branch (114126)

Attachment 137098 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12403029
Comment 69 Early Warning System Bot 2012-04-13 11:08:05 PDT
Comment on attachment 137098 [details]
Source diff from branch (114126)

Attachment 137098 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12396767
Comment 70 Build Bot 2012-04-13 11:11:03 PDT
Comment on attachment 137098 [details]
Source diff from branch (114126)

Attachment 137098 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12395860
Comment 71 Gyuyoung Kim 2012-04-13 11:14:33 PDT
Comment on attachment 137098 [details]
Source diff from branch (114126)

Attachment 137098 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12400121
Comment 72 WebKit Review Bot 2012-04-13 11:41:40 PDT
Comment on attachment 137098 [details]
Source diff from branch (114126)

Attachment 137098 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12399398

New failing tests:
compositing/geometry/abs-position-inside-opacity.html
compositing/geometry/fixed-in-composited.html
animations/3d/matrix-transform-type-animation.html
animations/3d/state-at-end-event-transform.html
compositing/direct-image-compositing.html
animations/additive-transform-animations.html
accessibility/aria-disabled.html
compositing/text-on-large-layer.html
compositing/layers-inside-overflow-scroll.html
compositing/animation/state-at-end-event-transform-layer.html
compositing/sibling-positioning.html
compositing/generated-content.html
compositing/self-painting-layers.html
animations/cross-fade-webkit-mask-box-image.html
animations/animation-hit-test-transform.html
WebFrameTest.FAILS_DivAutoZoomParamsTest
animations/3d/change-transform-in-end-event.html
animations/missing-values-last-keyframe.html
animations/cross-fade-list-style-image.html
animations/missing-values-first-keyframe.html
compositing/geometry/fixed-position-composited-page-scale.html
animations/cross-fade-background-image.html
compositing/geometry/clipping-foreground.html
animations/cross-fade-border-image-source.html
compositing/geometry/composited-html-size.html
compositing/compositing-visible-descendant.html
animations/cross-fade-webkit-mask-image.html
compositing/iframes/composited-iframe-alignment.html
compositing/color-matching/image-color-matching.html
animations/state-at-end-event.html
compositing/color-matching/pdf-image-match.html
Comment 73 WebKit Review Bot 2012-04-13 11:41:48 PDT
Created attachment 137115 [details]
Archive of layout-test-results from ec2-cr-linux-04

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-04  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 74 Emil A Eklund 2012-04-16 11:13:50 PDT
Created attachment 137367 [details]
Source diff from branch (114265)
Comment 75 Emil A Eklund 2012-04-18 14:01:46 PDT
Created attachment 137763 [details]
Source diff from branch (114550)
Comment 76 Emil A Eklund 2012-04-20 11:04:01 PDT
Created attachment 138119 [details]
Source diff from branch (114758)
Comment 77 Build Bot 2012-04-20 11:27:23 PDT
Comment on attachment 138119 [details]
Source diff from branch (114758)

Attachment 138119 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12480204
Comment 78 WebKit Review Bot 2012-04-20 11:41:29 PDT
Comment on attachment 138119 [details]
Source diff from branch (114758)

Attachment 138119 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12477241
Comment 79 Emil A Eklund 2012-04-23 10:48:21 PDT
Created attachment 138382 [details]
Source diff from branch (114777)
Comment 80 Eric Seidel (no email) 2012-04-23 11:12:51 PDT
Comment on attachment 138382 [details]
Source diff from branch (114777)

View in context: https://bugs.webkit.org/attachment.cgi?id=138382&action=review

Honestly this seems fine.   You reach a point where it will be more efficient to move testing onto the build bots instead of the EWS bots. :)

> Source/WebCore/rendering/LayoutTypes.h:84
> +    return LayoutPoint(p.x(), p.y());

Why is this one LayoutPoint and the one above it FractionalLayoutPoint?

> Source/WebCore/rendering/RenderTreeAsText.cpp:110
> +    // FIXME: These should be printed as floats. Keeping them ints for consistency with pervious test expectations.
> +    return ts << "(" << p.x().toInt() << "," << p.y().toInt() << ")";

Ah, you have joined a long tradition here. :)

> Source/WebCore/rendering/RenderTreeAsText.cpp:279
> +    // FIXME: Convert layout test results to report sub-pixel values, in the meantime using enclosingIntRect
> +    // for consistency with old results. This doesn't apply to tables, which are still laid out on integer bounds.

WE need to come up with a list of htese and do them all at once some day. :)

> Source/WebCore/rendering/PaintInfo.h:101
> -    static IntRect infiniteRect() { return IntRect(INT_MIN / 2, INT_MIN / 2, INT_MAX, INT_MAX); }
> +    static IntRect infiniteRect() { return IntRect(LayoutRect::infiniteRect()); }

This seems odd.  I guess it makes sense for this to be based on LayoutRect?  And if so why not call toInt()?  (Or maybe that doesn't exist).
Comment 81 Build Bot 2012-04-23 11:13:51 PDT
Comment on attachment 138382 [details]
Source diff from branch (114777)

Attachment 138382 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12479841
Comment 82 Gustavo Noronha (kov) 2012-04-23 11:23:08 PDT
Comment on attachment 138382 [details]
Source diff from branch (114777)

Attachment 138382 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12474908
Comment 83 Early Warning System Bot 2012-04-23 11:53:52 PDT
Comment on attachment 138382 [details]
Source diff from branch (114777)

Attachment 138382 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12512172
Comment 84 Early Warning System Bot 2012-04-23 11:58:21 PDT
Comment on attachment 138382 [details]
Source diff from branch (114777)

Attachment 138382 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12515054
Comment 85 Emil A Eklund 2012-04-23 15:18:36 PDT
Created attachment 138435 [details]
Source diff from branch (114938)
Comment 86 Philippe Normand 2012-04-23 15:37:25 PDT
Comment on attachment 138435 [details]
Source diff from branch (114938)

Attachment 138435 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12524050
Comment 87 Emil A Eklund 2012-04-26 10:44:24 PDT
Created attachment 139026 [details]
Source diff from branch (114938 mkII)
Comment 88 Emil A Eklund 2012-04-30 11:45:16 PDT
Created attachment 139495 [details]
Source diff from branch (115647)
Comment 89 Early Warning System Bot 2012-04-30 12:36:51 PDT
Comment on attachment 139495 [details]
Source diff from branch (115647)

Attachment 139495 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12593311
Comment 90 WebKit Review Bot 2012-04-30 14:35:37 PDT
Comment on attachment 139495 [details]
Source diff from branch (115647)

Attachment 139495 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12581426
Comment 91 Emil A Eklund 2012-04-30 17:07:24 PDT
Created attachment 139549 [details]
Source diff from branch (115687)
Comment 92 Emil A Eklund 2012-05-01 10:13:57 PDT
Created attachment 139645 [details]
Source diff from branch (115722)
Comment 93 Gyuyoung Kim 2012-05-01 11:13:05 PDT
Comment on attachment 139645 [details]
Source diff from branch (115722)

Attachment 139645 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12581719
Comment 94 WebKit Review Bot 2012-05-01 11:14:36 PDT
Comment on attachment 139645 [details]
Source diff from branch (115722)

Attachment 139645 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12587610
Comment 95 Early Warning System Bot 2012-05-01 11:26:09 PDT
Comment on attachment 139645 [details]
Source diff from branch (115722)

Attachment 139645 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12589602
Comment 96 Emil A Eklund 2012-05-01 13:08:29 PDT
Created attachment 139663 [details]
Source diff from branch (115741)
Comment 97 WebKit Review Bot 2012-05-01 13:13:38 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 98 WebKit Review Bot 2012-05-01 14:10:43 PDT
Comment on attachment 139663 [details]
Source diff from branch (115741)

Attachment 139663 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12592634
Comment 99 Gyuyoung Kim 2012-05-01 14:17:08 PDT
Comment on attachment 139663 [details]
Source diff from branch (115741)

Attachment 139663 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12595582
Comment 100 Early Warning System Bot 2012-05-01 14:21:57 PDT
Comment on attachment 139663 [details]
Source diff from branch (115741)

Attachment 139663 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12597513
Comment 101 Early Warning System Bot 2012-05-01 15:14:58 PDT
Comment on attachment 139663 [details]
Source diff from branch (115741)

Attachment 139663 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12591662
Comment 102 Emil A Eklund 2012-05-01 15:46:45 PDT
Created attachment 139695 [details]
Source diff from branch (115741 mkII)
Comment 103 Build Bot 2012-05-01 16:08:35 PDT
Comment on attachment 139695 [details]
Source diff from branch (115741 mkII)

Attachment 139695 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12593675
Comment 104 WebKit Review Bot 2012-05-01 16:35:18 PDT
Comment on attachment 139695 [details]
Source diff from branch (115741 mkII)

Attachment 139695 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12585733
Comment 105 Gyuyoung Kim 2012-05-01 17:06:25 PDT
Comment on attachment 139695 [details]
Source diff from branch (115741 mkII)

Attachment 139695 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12598515
Comment 106 Early Warning System Bot 2012-05-01 17:29:33 PDT
Comment on attachment 139695 [details]
Source diff from branch (115741 mkII)

Attachment 139695 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12585746
Comment 107 Emil A Eklund 2012-05-01 17:30:52 PDT
Created attachment 139716 [details]
Source diff from branch (115741 mkIII)
Comment 108 WebKit Review Bot 2012-05-01 18:10:13 PDT
Comment on attachment 139716 [details]
Source diff from branch (115741 mkIII)

Attachment 139716 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12597575
Comment 109 Build Bot 2012-05-01 18:41:29 PDT
Comment on attachment 139716 [details]
Source diff from branch (115741 mkIII)

Attachment 139716 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12586755
Comment 110 Early Warning System Bot 2012-05-01 19:00:52 PDT
Comment on attachment 139716 [details]
Source diff from branch (115741 mkIII)

Attachment 139716 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12595657
Comment 111 Build Bot 2012-05-01 19:03:42 PDT
Comment on attachment 139716 [details]
Source diff from branch (115741 mkIII)

Attachment 139716 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12584745
Comment 112 Early Warning System Bot 2012-05-01 19:20:41 PDT
Comment on attachment 139716 [details]
Source diff from branch (115741 mkIII)

Attachment 139716 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12586770
Comment 113 Emil A Eklund 2012-05-01 20:29:55 PDT
Created attachment 139734 [details]
Source diff from branch (115741 mkIV)
Comment 114 Emil A Eklund 2012-05-01 21:32:43 PDT
Created attachment 139740 [details]
Source diff from branch (115787)
Comment 115 Emil A Eklund 2012-05-01 21:43:27 PDT
Created attachment 139742 [details]
Source diff from branch (115787 mkII)

Argh
Comment 116 Emil A Eklund 2012-05-01 22:00:07 PDT
Created attachment 139744 [details]
Source diff from branch (115787 mkIII)
Comment 117 Early Warning System Bot 2012-05-01 22:36:57 PDT
Comment on attachment 139744 [details]
Source diff from branch (115787 mkIII)

Attachment 139744 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12588750
Comment 118 Early Warning System Bot 2012-05-01 22:38:55 PDT
Comment on attachment 139744 [details]
Source diff from branch (115787 mkIII)

Attachment 139744 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12585809
Comment 119 WebKit Review Bot 2012-05-01 22:39:15 PDT
Comment on attachment 139744 [details]
Source diff from branch (115787 mkIII)

Attachment 139744 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12584790
Comment 120 Build Bot 2012-05-01 23:10:25 PDT
Comment on attachment 139744 [details]
Source diff from branch (115787 mkIII)

Attachment 139744 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12585808
Comment 121 Build Bot 2012-05-01 23:31:39 PDT
Comment on attachment 139744 [details]
Source diff from branch (115787 mkIII)

Attachment 139744 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12590770
Comment 122 Emil A Eklund 2012-05-02 09:47:42 PDT
Created attachment 139831 [details]
Source diff from branch (115787 mkIV)
Comment 123 Early Warning System Bot 2012-05-02 10:35:34 PDT
Comment on attachment 139831 [details]
Source diff from branch (115787 mkIV)

Attachment 139831 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12587890
Comment 124 Emil A Eklund 2012-05-02 10:46:48 PDT
Created attachment 139838 [details]
Source diff from branch (115787 mkV)
Comment 125 WebKit Review Bot 2012-05-02 11:50:01 PDT
Comment on attachment 139838 [details]
Source diff from branch (115787 mkV)

Attachment 139838 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12607010

New failing tests:
compositing/geometry/abs-position-inside-opacity.html
compositing/geometry/fixed-in-composited.html
animations/3d/matrix-transform-type-animation.html
animations/3d/state-at-end-event-transform.html
compositing/direct-image-compositing.html
compositing/geometry/fixed-position-transform-composited-page-scale-down.html
animations/additive-transform-animations.html
accessibility/aria-disabled.html
compositing/text-on-large-layer.html
compositing/layers-inside-overflow-scroll.html
compositing/animation/state-at-end-event-transform-layer.html
compositing/sibling-positioning.html
compositing/geometry/fixed-position-iframe-composited-page-scale.html
compositing/generated-content.html
compositing/self-painting-layers.html
animations/cross-fade-webkit-mask-box-image.html
animations/3d/change-transform-in-end-event.html
animations/missing-values-last-keyframe.html
animations/cross-fade-list-style-image.html
animations/missing-values-first-keyframe.html
compositing/geometry/fixed-position-composited-page-scale.html
animations/cross-fade-background-image.html
compositing/geometry/clipping-foreground.html
animations/cross-fade-border-image-source.html
compositing/geometry/composited-html-size.html
compositing/compositing-visible-descendant.html
animations/cross-fade-webkit-mask-image.html
compositing/iframes/composited-iframe-alignment.html
compositing/color-matching/image-color-matching.html
compositing/color-matching/pdf-image-match.html
Comment 126 WebKit Review Bot 2012-05-02 11:50:12 PDT
Created attachment 139850 [details]
Archive of layout-test-results from ec2-cr-linux-03

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-03  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 127 Levi Weintraub 2012-06-05 10:34:05 PDT
Ding dong the branch is dead.  http://trac.webkit.org/changeset/119501 moved it from branches/subpixellayout to branches/old/subpixellayout.